@import 'theme/variables';

.contentWrap {
  color: $dark-grey;
  height: 100%;
  padding: $cell * 2;
  justify-content: flex-start !important;
}

.toolbarInner {
  padding: 0 $cell * 2;
  display: flex;
  align-items: center;
  justify-content: space-between;
}

.iconButton {
  --padding-start: 8px !important;
  --padding-end: 8px !important;
}

.checkmark {
  font-size: 1.4rem;
}

.backIcon {
  color: $dark-grey;
  margin-right: $cell;
}

.iconAndName {
  display: flex;
  align-items: center;

  .name {
    color: $dark-grey;
    font-weight: bold;
    margin-top: 2px;
  }
}

.amountWrap {
  margin: $cell * 2 0;
  text-align: center;

  .amountText {
    font-size: 0.9rem;
  }

  .amountInput {
    background-color: transparent;
    width: 100%;
    text-align: center;
    color: $primary-green;
    border: none;
    font-size: 1.8rem;
    font-weight: bold;
    outline-width: 0;
  }
}

.sectionButton {
  color: $primary-green;
  text-transform: none;
  font-size: 1rem;
  margin: 0;
  --padding-end: 0 !important;
  --padding-start: 0 !important;
}

.inputSection {
  display: flex;
  justify-content: space-between;
  align-items: center;
  border-bottom: 1px solid $highlight-grey;
  padding: $cell * 2 0;
}

.descWrap {
  width: 100%;
  .descMainRow {
    display: flex;
    justify-content: space-between;
    align-items: center;
  }
  .descSubRow {
    margin-top: $cell;
    margin-bottom: -$cell;
    display: flex;
    align-items: center;
    justify-content: flex-end;
  }
}

.datetime {
  --padding-top: 10px !important;
  --padding-bottom: 7px !important;
  .picker-button {
    color: black !important;
  }
}

.categoryValue {
  padding: $cell;
  border-radius: 5px;
  background-color: $highlight-grey;
  display: flex;
  align-items: center;
  color: $bluey-grey;

  .categoryIcon {
    font-size: 1.2rem;
    margin-right: 4px;
    opacity: 0.7;
  }
}